<?php

/*
 * phpPlatonLib - Platon software development group PHP library
 *
 * common/misc/fnc.write_origvars_html.php - create HTML hidden
 * form fields for passed GET variables
 * ____________________________________________________________
 *
 * Developed by Ondrej Jombik <nepto@pobox.sk>
 * Copyright (c) 2001-2002 Platon SDG, http://www.platon.sk/
 * All rights reserved.
 *
 * See README file for more information about this software.
 * See COPYING file for license information.
 *
 * Download the latest version from
 * http://www.platon.sk/projects/phpPlatonLib/
 */

/* $Id: fnc.write_origvars_html.php,v 1.3 2002/07/21 22:41:26 nepto Exp $ */

if (! defined('phpPlatonLib_fnc_write_origvars_html')) {
	define('phpPlatonLib_fnc_write_origvars_html', 1);

	function write_origvars_html($origvars, $default_value = null)
	{
		foreach (explode('&', $origvars) as $param) {

			$parts = explode('=', $param, 2);
			if (! isset($parts[1]) && isset($default_value))
				$parts[1] = $default_value;

			if (strlen($parts[0]) <= 0)
				continue;

			echo '<input type="hidden" name="' . $parts[0] . '"';	
			if (isset($parts[1]))
				echo ' value="' . $parts[1] . '"';
			echo '>';
		}

		return true;
	}

}

?>
