<?php

/*
 * phpPlatonLib - Platon software development group PHP library
 *
 * common/str/fnc.append_slash.php - append slash at the end of
 * string if it is not empty and slash is not already present at
 * the end of string; return changed string on success, on
 * failure returns false
 * ____________________________________________________________
 *
 * Developed by Ondrej Jombik <nepto@pobox.sk>
 * Copyright (c) 2001-2002 Platon SDG, http://www.platon.sk/
 * All rights reserved.
 *
 * See README file for more information about this software.
 * See COPYING file for license information.
 *
 * Download the latest version from
 * http://www.platon.sk/projects/phpPlatonLib/
 */

/* $Id: fnc.append_slash.php,v 1.3 2002/07/21 22:41:26 nepto Exp $ */

if (! defined('phpPlatonLib_fnc_append_slash')) {
	define('phpPlatonLib_fnc_append_slash', 1);

	function append_slash($string, $char = '/')
	{
		if (! is_string($string) || ! is_string($char))
			return false;

		if (strlen($string) > 0) {
			if ($string[strlen($string) - 1] != $char[0]) 
				$string .= $char[0];
		}

		return $string;
	}

}

?>
